Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #205

Separate ICY "track-name" field into separate title and artist fields
November 09, 2012 14:01 - Carlos Giamante

Status: Rejected Start date: November 09, 2012
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version:

Description

When I'm listening to the radio URL in Audacious, when i see track information such as song title and artist, everything appears in the
title, as shown in the attached image.

| tested this on other players, and they show the information correctly, as in the other attached image.

The URLS | tested if it is useful for you to test, | used these: http://uki.internet-radio.com:15763/
http://212.45.104.50:8014/

The correction of this will be useful as eg the Plugin RirycWiki of Audacious, which show letters, and useful for other devices that
dependendem such information.

Sorry for my bad english, | hope the images expounding better.

History

#1 - November 09, 2012 23:22 - John Lindgren
- Tracker changed from Bug to Feature
- Subject changed from Track Infomation from URL Radios Stream. to Separate ICY "track-name" field into separate title and artist fields

- Priority changed from Major to Minor

The information you see in Audacious is exactly the same information the server sends. | guess other players assume that the "track-name" field will
always contain the song title and artist, but | don't think that is a safe assumption to make.

#2 - November 10, 2012 17:20 - Carlos Giamante

John Lindgren wrote:

The information you see in Audacious is exactly the same information the server sends. | guess other players assume that the "track-name" field
will always contain the song title and artist, but | don't think that is a safe assumption to make.

Intends to implement?

In this case it is safe to implement, because all | know URL Radio, uses it by default.

#3 - November 11, 2012 09:18 - Nevik Rehnel

Carlos Giamante wrote:
http://uk1.internet-radio.com:15763/
http://212.45.104.50:8014/

In this case it is safe to implement, because all | know URL Radio, uses it by default.

Only those which YOU know; | know plenty of radio stations that do not always send title information formatted like that.

| don't know how much work it is to add something like this, but what would be more feasable for the user base as a whole is the splitting of the
track-name field by a custom pattern (e.g. a setting like "Assume stream track-name field to be formatted like: [%a-%t]" or so)

#4 - December 09, 2012 19:13 - Carlos Giamante

Nevik Rehnel wrote:
Carlos Giamante wrote:

In this case it is safe to implement, because all | know URL Radio, uses it by default.

Only those which YOU know; | know plenty of radio stations that do not always send title information formatted like that.

| don't know how much work it is to add something like this, but what would be more feasable for the user base as a whole is the splitting of the
track-name field by a custom pattern (e.g. a setting like "Assume stream track-name field to be formatted like: [%a-%t]" or s0)

Hi, sorry for the delay, | was out.
As for the servers that send the information correctly, and | do not know if it exists, is surely a small minority, but in general, behave this way.
The feature would be implemented only to the servers that send information that way track - name, those who send correctly, is not necessary.

And sorry for the delay in my response.

#5 - January 01, 2013 21:29 - Carlos Giamante

Mr John Lindgren, sorry to post again, but you go implement this feature? The servers that send the information correctly as track and name, will
remain so, only when they send this information together feature take effect.

That would be ideal for the OSD and RicLyric Lyrycs.
#6 - April 25, 2013 13:07 - Michael Jacobs

To me, it seems (as John stated) that it is more a convention, that the servers always transmit [artist - title] in the title field than a reliable rule. After all,
for other stream formats (e.g. 0gg), there might be a different convention, or there might be sufficiently many meta data fields defined already in the
stream s.th. there is no need for information mangling at the server side. To solve that issue, | would rather think of allowing the user to locally define
meta-data rewrite patterns that can be applied to specific streams. In that sense, one could think of a default rewrite pattern for MP3 streams that
always treats it like [artist - title]. | have not yet thought about that for too long, but that might be an idea. | would think of a meta data rewrite plugin or
something similar.

#7 - July 14, 2013 21:03 - Carlos Giamante

Most famous players have the feature as Clementine, Deadbeef and etc.

Why is this important?

The plugin LyricWiki only displays Lyric searching in the correct way And other applications that dependendem that way.

Michael Jacobs wrote:
To me, it seems (as John stated) that it is more a convention, that the servers always transmit [artist - title] in the title field than a reliable rule.
After all, for other stream formats (e.g. 0gg), there might be a different convention, or there might be sufficiently many meta data fields defined
already in the stream s.th. there is no need for information mangling at the server side. To solve that issue, | would rather think of allowing the
user to locally define meta-data rewrite patterns that can be applied to specific streams. In that sense, one could think of a default rewrite pattern

for MP3 streams that always treats it like [artist - title]. | have not yet thought about that for too long, but that might be an idea. | would think of a
meta data rewrite plugin or something similar.

#8 - July 21, 2013 23:27 - John Lindgren

| would be willing to commit a patch implementing this feature as long as it is an option and is disabled by default.

#9 - July 23, 2013 14:54 - Carlos Giamante

John Lindgren wrote:

I would be willing to commit a patch implementing this feature as long as it is an option and is disabled by default.

Very good John, please implement it :).

#10 - July 24, 2013 04:44 - John Lindgren

Carlos Giamante wrote:

Very good John, please implement it :).
You misunderstand. | am not interested in the feature; therefore | am not writing the patch. Someone who is interested in the feature is welcome to
write a patch.

| am tired of your entitlement attitude. ("I want something; therefore | am entitled to it, and it is your job to give it to me.")

#11 - July 24, 2013 08:23 - Michael Jacobs

John Lindgren wrote:

Someone who is interested in the feature is welcome to write a patch.

As stated before, | would be interested in a more general thing than just splitting up the "Artist - Title" information from title fields of MP3 streams.
Also for other stream formats there are other cases where strange information mangling in the meta fields is used.

Like for example the ogg stream of kohina. lts title field contains "Radio Station - Artist" and its title field contains "Title - System of Origin".

For such cases | would like to see custom rewrite pattern that can be applied to particular stream urls.

One could also think of applying such rewrite pattern to whole types of streams, like for example MP3 streams.

A default pattern, that could also exist from the start but be disabled by default, could be the feature Carlos is interested in.

| agree with John, that such a thing should be disabled by default.
Just to make it clear, | am only interested in the more general feature. So | am not willing to provide a patch that just adds the exact feature Carlos
requested. | guess the more general feature will need some more thinking in order to end up with a flexible concept and a clean and maintainable

implementation.

I'd really like to implement the more general feature. But that will take some time and | can currently not estimate when | will have this time.

#12 - January 29, 2017 19:54 - John Lindgren

- Status changed from New to Rejected

Closing some old requests that no one has had time to implement.

Files
In audacious.png 33.8 KBNovember 09, 2012 Carlos Giamante
Other player.png 35.3 KBNovember 09, 2012 Carlos Giamante
